From 7d0ca58f73809ff1d4f9c650a1a0d701ab9f9c74 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 05 2024 21:32:39 +0000
Subject: [PATCH 12/220] Update system76-power


---

diff --git a/cosmic_apps.py b/cosmic_apps.py
index a97273b..dd45adb 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -1015,8 +1015,8 @@ SYSTEM76_POWER = {
 "sources": STANDARD_SOURCES,
 "buildrequires": STANDARD_BUILDREQUIRES,
 "requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""make all VENDOR=1""",
+"prep": STANDARD_PREP + f"\ntar -pxf vendor.tar",
+"build": f"""cargo build --release --offline --frozen""",
 "install": f"""make install DESTDIR=%{{buildroot}} prefix=%{{_prefix}}""",
 "files": f"""
 
diff --git a/system76-power/system76-power.spec b/system76-power/system76-power.spec
index 3cc1ffa..fe9694b 100644
--- a/system76-power/system76-power.spec
+++ b/system76-power/system76-power.spec
@@ -70,9 +70,10 @@ ls -a
 mkdir -p .cargo
 cp .vendor/config.toml .cargo/config.toml
 
+tar -pxf vendor.tar
 
 %build
-make all VENDOR=1
+cargo build --release --offline --frozen
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}

